Package org.springframework.beans.factory.parsing

# Class EmptyReaderEventListener

java.lang.Object
org.springframework.beans.factory.parsing.EmptyReaderEventListener

All Implemented Interfaces:
  `EventListener`, `ReaderEventListener`

public class EmptyReaderEventListener extends Object implements ReaderEventListener
Empty implementation of the `ReaderEventListener` interface, providing no-op implementations of all callback methods.

Since:
  2.0
Author:
  Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`EmptyReaderEventListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`aliasRegistered(AliasDefinition aliasDefinition)`
Notification that the given alias has been registered.
`void`
`componentRegistered(ComponentDefinition componentDefinition)`
Notification that the given component has been registered.
`void`
`defaultsRegistered(DefaultsDefinition defaultsDefinition)`
Notification that the given defaults has been registered.
`void`
`importProcessed(ImportDefinition importDefinition)`
Notification that the given import has been processed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmptyReaderEventListener

public EmptyReaderEventListener()

## Method Details

### defaultsRegistered

public void defaultsRegistered(DefaultsDefinition defaultsDefinition)
Description copied from interface: `ReaderEventListener`
Notification that the given defaults has been registered.

Specified by:
  `defaultsRegistered` in interface `ReaderEventListener`
Parameters:
  `defaultsDefinition` - a descriptor for the defaults
See Also:
  - `DocumentDefaultsDefinition`

### componentRegistered

public void componentRegistered(ComponentDefinition componentDefinition)
Description copied from interface: `ReaderEventListener`
Notification that the given component has been registered.

Specified by:
  `componentRegistered` in interface `ReaderEventListener`
Parameters:
  `componentDefinition` - a descriptor for the new component
See Also:
  - `BeanComponentDefinition`

### aliasRegistered

public void aliasRegistered(AliasDefinition aliasDefinition)
Description copied from interface: `ReaderEventListener`
Notification that the given alias has been registered.

Specified by:
  `aliasRegistered` in interface `ReaderEventListener`
Parameters:
  `aliasDefinition` - a descriptor for the new alias

### importProcessed

public void importProcessed(ImportDefinition importDefinition)
Description copied from interface: `ReaderEventListener`
Notification that the given import has been processed.

Specified by:
  `importProcessed` in interface `ReaderEventListener`
Parameters:
  `importDefinition` - a descriptor for the import